/**************************************************************************
 *
 * FILE  util.c
 * Copyright (c) 2007 Daniel Kahlin
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: util.c,v 1.1 2007-04-20 15:33:52 tlr Exp $
 *
 * DESCRIPTION
 *   Utility functions.
 *
 ******/
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "global.h"

void panic(const char *str, ...)
{
    va_list args;

    fprintf(stderr, "%s: ", program_g);
    va_start(args, str);
    vfprintf(stderr, str, args);
    va_end(args);
    fputc('\n', stderr);
    exit(1);
}

int fget_int(FILE *fp)
{
    int val;
    val=fgetc(fp);
    val|=fgetc(fp)<<8;
    val|=fgetc(fp)<<16;
    val|=fgetc(fp)<<24;
    return val;
}

void fput_int(int val, FILE *fp)
{
    fputc((val>>0)&0xff, fp);
    fputc((val>>8)&0xff, fp);
    fputc((val>>16)&0xff, fp);
    fputc((val>>24)&0xff, fp);
}

/* eof */
